import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaInputType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaInputTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaInputType[]> {
    return this.rpcService.call('MetaInputTypeService.readAll');
  }
}
